Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.pojos
Class User

    java.lang.Object
      vut.msa.pojos.User

All Implemented Interfaces:
  java.io.Serializable

    public class User

extends java.lang.Object
implements java.io.Serializable

User generated by hbm2java

See Also:
  Serialized Form

Constructor Summary
`User()`
`User(java.lang.String username, java.lang.String rights, java.lang.String password, java.lang.String email)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getEmail()`
`java.lang.Short` | `getId()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getRights()`
`java.lang.String` | `getUsername()`
`java.lang.Integer` | `getVersion()`
`int` | `hashCode()`
`void` | `setEmail(java.lang.String email)`
`void` | `setId(java.lang.Short id)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRights(java.lang.String rights)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVersion(java.lang.Integer version)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User

    public User()

### User

    public User(java.lang.String username,
                java.lang.String rights,
                java.lang.String password,
                java.lang.String email)

Method Detail

### getId

    public java.lang.Short getId()

### setId

    public void setId(java.lang.Short id)

### getVersion

    public java.lang.Integer getVersion()

### setVersion

    public void setVersion(java.lang.Integer version)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getRights

    public java.lang.String getRights()

### setRights

    public void setRights(java.lang.String rights)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getEmail

    public java.lang.String getEmail()

### setEmail

    public void setEmail(java.lang.String email)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD